#ifndef	__TS_CONTROL_H__
#define	__TS_CONTROL_H__

#include <time.h>
#include	"util.h"


#define	UNCERTAINTY				0x00U
#define	START_TIME_UNCERTAINTY	0x01U
#define	DURATION_UNCERTAINTY	0x02U
#define	EVENT_UNCERTAINTY		0x03U
#define	NEXT_EVENT_UNCERTAINTY	0x04U


typedef	struct	_SVT_CONTROL	SVT_CONTROL;
struct	_SVT_CONTROL{
	SVT_CONTROL	*next ;
	SVT_CONTROL	*prev ;
	int		event_id ;			// イベントID
	int		original_network_id ;			// OriginalNetworkID
	int		transport_stream_id ;			// TransporrtStreamID
	char	servicename[MAXSECLEN] ;		// サービス名
};

typedef	struct	_EIT_CONTROL	EIT_CONTROL;
struct	_EIT_CONTROL{
	EIT_CONTROL		*next ;
	EIT_CONTROL		*prev ;
	int				table_id ;
	int				servid ;
	int				event_id ;			// イベントID
	unsigned char	running_status;
	unsigned char	event_status;
	unsigned char	content_type ;		// コンテントタイプ
	unsigned char	content_subtype ;		// コンテントサブタイプ
	unsigned char	genre2;
	unsigned char	sub_genre2;
	unsigned char	genre3;
	unsigned char	sub_genre3;
	int				episode_number;
	int				yy;
	int				mm;
	int				dd;
	int				hh;
	int				hm;
	int				ss;
	int				duration;
	char			*title ;			// タイトル
	char			*subtitle ;			// サブタイトル
};

#ifdef __cplusplus
extern "C"{
#endif /* __cplusplus */

	time_t timeParse( EIT_CONTROL *cur );
	void dateParse( EIT_CONTROL *dts, time_t *src );

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif
